MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022483Community[OCCT] OCCT:Visualizationpublic2011-05-10 12:282012-04-03 19:34
Reporterszy 
Assigned Tobugmaster 
PriorityurgentSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version[OCCT] 6.5.0 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022483: ZBufferTrihedron loses user-defined color
DescriptionRegression in 6.5.0.
User-defined color of the axes names in V3d_View::TriedronDisplay() is ignored
and some default light-gray color is used.
Post from the Forum - http://www.opencascade.org/org/forum/thread_20617/. [^]

"User-defined color of the axes names in V3d_View::TriedronDisplay() is ignored and some default light-gray color is used.
In 6.3.x the axes names are correctly displayed in white while in 6.5.0 there is always a default color.
I could not quickly debug the issue - the initial color is correctly propagated into OpenGL structures but seems to get lost somewhere later.

Not a fundamental flaw but any regression is bad anyway:)"
Steps To Reproducepload ALL
vinit
vzbufftrihedron
# internally calls V3dView->TriedronDisplay( Aspect_TOTP_LEFT_LOWER, Quantity_NOC_WHITE, 0.1, V3d_ZBUFFER );
Additional information
and documentation updates
  Now vzbufftrihedron DRAW command can take next arguments: Position, textR, textG, textB, Scale, Type_Of_Visualization. If use the command without any parameters, then V3d_ZBUFFER'ed trihedron will be displayed at the bottom left corner of the view.
TagsNo tags attached.
Test case numberchl 934 W8 W9 X1 X2
Attached Files

- Relationships

-  Notes
(0020065)
san (developer)
2012-03-21 15:25

Dear DLN,

Please improve vzbufftrihedron DRAW command in order to test V3d_View::TriedronDisplay() arguments:

vzbufftrihedron [center|left_lower|left_upper|right_lower|right_upper textR textG textB scale wireframe|zbuffer]
(0020091)
dln (developer)
2012-03-22 12:31

vzbufftrihedron DRAW command was improved.

Dear SAN,

Branch http://svn/svn/occt/branches/OCC22483 [^] ready for reviewing.
(0020092)
dln (developer)
2012-03-22 12:44

Test cases for testers:

1)
pload ALL
vinit
vzbufftrihedron

2)
pload ALL
vinit
vzbufftrihedron left_lower 255 255 255 0.1 zbuffer

3)
pload ALL
vinit
vzbufftrihedron right_upper 200 50 255 0.2 zbuffer

4)
pload ALL
vinit
vzbufftrihedron center 0 150 255 0.1 wireframe
(0020108)
san (developer)
2012-03-22 22:53

The SVN branch reviewed without remarks, please create new test cases to prevent further regressions.
(0020143)
aan (tester)
2012-03-26 17:10

Dear BugMaster,

SVN branch http://svn/svn/occt/branches/OCC22483 [^] has been moved to GIT CR22483 one.

The test cases for this fix are chl 934 W8 W9 X1 X2. There are OK.

Workbench KAS:dev:aan-22483-occt was created from git branch CR22483
(and aan-22483-products from svn trunk) and compiled on Linux platform.

There are not regressions in aan-22483-products regarding to
KAS:dev:products-20120321-opt

See results in
/QADisk/occttests/results/KAS/dev/aan-22483-products_23032012/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-2012021-opt_22032012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following
instructions
http://doc/doku.php?id=occt:certification [^]
(0020190)
bugmaster (administrator)
2012-03-29 10:21

Integrated into master

- Related Changesets
occt: master 7c8a8fcc
Timestamp: 2012-03-23 09:01:14
Author: dln
Committer: bugmaster
Details ] Diff ]
0022483: ZBufferTrihedron loses user-defined color
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2011-11-08 12:03 szy Status acknowledged => assigned
2011-11-08 12:03 szy Resolution suspended => reopened
2011-11-08 12:03 szy Product Version => 6.5.0
2011-11-08 12:03 szy Fixed in Version EMPTY =>
2011-11-08 12:03 szy Target Version => 6.5.3
2011-11-08 12:03 szy Description Updated View Revisions
2011-11-08 12:03 szy Steps to Reproduce Updated View Revisions
2011-11-22 11:28 szy Assigned To bugmaster => san
2012-03-20 15:57 san Assigned To san => dln
2012-03-21 15:25 san Note Added: 0020065
2012-03-22 06:29 abv Priority normal => urgent
2012-03-22 12:00 dln Additional Information Updated View Revisions
2012-03-22 12:31 dln Note Added: 0020091
2012-03-22 12:32 dln Assigned To dln => san
2012-03-22 12:32 dln Status assigned => resolved
2012-03-22 12:44 dln Note Added: 0020092
2012-03-22 22:53 san Note Added: 0020108
2012-03-22 22:53 san Assigned To san => bugmaster
2012-03-22 22:53 san Status resolved => reviewed
2012-03-23 12:21 mkv Assigned To bugmaster => aan
2012-03-26 16:22 aan Test case number => chl 934 W8 W9 X1 X2
2012-03-26 17:10 aan Note Added: 0020143
2012-03-26 17:10 aan Status reviewed => tested
2012-03-29 10:21 bugmaster Note Added: 0020190
2012-03-29 10:21 bugmaster Status tested => verified
2012-03-29 10:21 bugmaster Resolution reopened => fixed
2012-03-29 10:21 bugmaster Assigned To aan => dln
2012-03-29 17:26 bugmaster Changeset attached => occt master 7c8a8fcc
2012-04-03 19:34 abv Assigned To dln => Roman Lygin


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker